Bug 218324 - `cvs -help` lists out-of-date URLs
`cvs -help` lists out-of-date URLs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cvs (Show other bugs)
4.4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2006-12-04 13:05 EST by Steve Huff
Modified: 2015-02-01 17:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to bring src/main.c message for --help in line with cvs-1.11.22 (465 bytes, patch)
2006-12-04 16:55 EST, Steve Huff
no flags Details | Diff
SRPM with helpURLs.patch (2.29 MB, audio/x-pn-realaudio-plugin)
2006-12-04 17:01 EST, Steve Huff
no flags Details

  None (edit)
Description Steve Huff 2006-12-04 13:05:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/418.9.1 (KHTML, like Gecko) Safari/419.3

Description of problem:
Running `cvs --help` produces help text which references two URLs, as follows:

--- begin paste ---

$ cvs --help
Usage: cvs [cvs-options] command [command-options-and-arguments]
  where cvs-options are -q, -n, etc.
    (specify --help-options for a list of options)
  where command is add, admin, etc.
    (specify --help-commands for a list of commands
     or --help-synonyms for a list of command synonyms)
  where command-options-and-arguments depend on the specific command
    (specify -H followed by a command name for command-specific help)
  Specify --help to receive this message

The Concurrent Versions System (CVS) is a tool for version control.
For CVS updates and additional information, see
    the CVS home page at http://www.cvshome.org/ or
    Pascal Molli's CVS site at http://www.loria.fr/~molli/cvs-index.html

--- end paste ---

However, each of those sites currently (as of 2006-12-04) has a notice up that suggests that visitors go 
to different sites.  In the case of http://www.cvshome.org/, visitors are directed to http://ximbiot.com/
cvs/wiki/, and in the case of http://www.loria.fr/~molli/cvs-index.html, visitors are directed to http://
en.wikipedia.org/wiki/Concurrent_Versions_System.

Please update the cvs package to reflect these changes, so that new users are not being directed to 
out-of-date pages.


Version-Release number of selected component (if applicable):
cvs-1.11.17-9.RHEL4

How reproducible:
Always


Steps to Reproduce:
1. From a shell on a system with cvs-1.11.17-9.RHEL4 installed, type "cvs --help".
2. Open a web browser.
3. Visit the URLs referenced in the output from "cvs --help".


Actual Results:
Each website referenced in the output from "cvs --help" instructed me to go elsewhere for up-to-date 
information about CVS.


Expected Results:
The output from "cvs --help" should have given me the up-to-date URLs.


Additional info:
Comment 1 Steve Huff 2006-12-04 14:53:05 EST
The latest stable version of CVS, 1.11.22, replaces the abovementioned URLs in the output of "cvs --help" 
with "http://cvs.nongnu.org/", which is a valid and current website.  Perhaps a good solution would be to 
backport that change into the cvs RPM?
Comment 2 Steve Huff 2006-12-04 16:55:44 EST
Created attachment 142778 [details]
patch to bring src/main.c message for --help in line with cvs-1.11.22

This patch changes the help text displayed by "cvs --help" to reflect the text
shown by the latest stable release of CVS, 1.11.22.  Essentially it's a
backport.
Comment 3 Steve Huff 2006-12-04 17:01:22 EST
Created attachment 142779 [details]
SRPM with helpURLs.patch

This is a SRPM with the above-mentioned patch rolled in.  It builds without any
obvious problems on a RHEL4.4 system.  I also changed the "URL:" field in the
specfile so that it no longer refers to the obsolete "http://www.cvshome.org/",
but instead to the new "http://cvs.nongnu.org".
Comment 4 Steve Huff 2007-03-02 09:16:15 EST
When might I expect to see resolution of this issue?  RHEL4 U5?  RHEL5?  I realize this bug is not critical, 
but it would be nice to have at least a rough timeframe.

Many thanks.
Comment 6 Steve Huff 2007-07-11 11:32:17 EDT
Hello Jiří!  I noticed that this bug has been reassigned to you.

When might I expect to see this bug resolved?  Is there anything else I can do to help the process along?

thanks,
-Steve
Comment 7 Jiri Moskovcak 2007-08-09 03:21:12 EDT
Hi Steve,
thank you for your effort. Your patch is ok, but I have to wait for approval to
release a patched version.

Jiri
Comment 8 Steve Huff 2007-08-09 12:57:14 EDT
You're welcome!  I'm glad to hear it.

How long do you expect to wait for approval?  I'm afraid I don't have a very good sense of how the QA 
cycle at Red Hat works; who determines the future of this patch?

thanks,  
-Steve
Comment 10 RHEL Product and Program Management 2008-09-05 13:20:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Jan Ščotka 2009-01-08 06:32:19 EST
testcase created in 196259 -  cvs lacks LFS support
Comment 17 errata-xmlrpc 2009-05-18 16:12:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0971.html

Note You need to log in before you can comment on or make changes to this bug.